SYSTYPE	Process
UNITS	Feet Seconds
SYSDEF	limit Infinite timeout 60 Seconds confname Config1
		report standard
FLAGS
  System  NoColor
  NoCode
  Text  Red
  Resources  NoColor
  ResourceNames  Red
  Queues  NoColor
  QueueNames  Red
  QueueAmounts  Red
  Blocks  NoColor
  BlockNames  Red
  Labels  Red
  Loads  NoColor
PROCDEF UserId 1
PROC	name P_LKW 0 traf Infinite 
PROC	name P_ZUG 0 traf Infinite 
LDTYPE	name LKW 0
		dis 
		create exp 6 Minutes stream stream0 
		       First P_LKW 0 
LDTYPE	name ZUG 0
		dis 
		create exp 60 Minutes stream stream0 
		       First P_ZUG 0 
RSRC	name R_Gabelstapler 0 cap 25 
		prtime con 5 Seconds stream stream0 
COUNT	name C_Lager 0 cap 800 
VAR		name V_lkw 0 type Integer 0

VAR		name V_zug 0 type Integer 0

STREAM	stream0 type LCG skip first 0
GRAPH Lager timeline every 3 Days
		x 195 y 417 width 600 height 350
		ymax 800 yinc 100
		xmin 0 xmax 365 xinc 30 xunits Days
		include Process GVZ C_Lager cur title "Bestand"
		include Process GVZ C_Lager ave_r title "mittl. Bestand"
SFileBegin
	name logic.m
begin P_LKW arriving
	wait for uniform 5, 1 min       
		/* Fahre etwa 5 min */
	set V_lkw to uniform 10.5, 5.5    
		/* Bestimme die ins Lager zu bringende Last [5,15]*/
	wait until (V_lkw <= C_Lager remaining space)
		/* Warte bis genuegend Lagerplatz vorhanden */
	increment C_Lager by V_lkw
	use R_Gabelstapler for (2 * V_lkw) min
		/* verbringe die Ware ins Lager */
	wait for uniform 5,1 min
		/* fahre etwa 5 Minuten */
	set V_lkw to uniform 10.5, 5.5
		/* Bestimme die mizunehmende Last [5,15]*/
	wait until (V_lkw <= C_Lager current value)
		/* Warte bis genuegend Teile im Lager vorhanden sind */
	decrement C_Lager by V_lkw
	use R_Gabelstapler for (2 * V_lkw) min
		/* entnehme die Teile aus dem Lager */
	wait for uniform 5,1 min
		/* fahre etwa 5 Minuten */
	send to die
end

begin P_ZUG arriving
	wait for uniform 5, 1 min       
		/* Fahre etwa 5 min */
	set V_zug to uniform 100.5, 50.5    
		/* Bestimme die ins Lager zu bringende Last [50,150]*/
	wait until (V_zug <= C_Lager remaining space)
		/* Warte bis genuegend Lagerplatz vorhanden */
	increment C_Lager by V_zug
	use R_Gabelstapler for (2 * V_zug) min
		/* verbringe die Ware ins Lager */
	wait for uniform 5,1 min
		/* fahre etwa 5 Minuten */
	set V_zug to uniform 100.5, 50.5
		/* Bestimme die mizunehmende Last [50,150]*/
	wait until (V_zug <= C_Lager current value)
		/* Warte bis genuegend Teile im Lager vorhanden sind */
	decrement C_Lager by V_zug
	use R_Gabelstapler for (2 * V_zug) min
		/* entnehme die Teile aus dem Lager */
	wait for uniform 5,1 min
		/* fahre etwa 5 Minuten */
	send to die
end

#@!
